## param_gettype

### Use

You display the data type of the parameter specified.

The system displays an OK message followed by the data type of the parameter specified.

See also:

Concepts of the Database System, Database Parameters

### Prerequisites

You have the server authorization ParamRead.

### Syntax

param_gettype <parameter_name>

<parameter_name> | Name of the database parameter

### Reply

OK

<type>

<type> | Data type of the database parameter, The following values are possible: int2 | int4 | c8 | c18 | c24 | c40 | c64

In the event of errors, see Reply Format.